--[[
*************************************************************
Tiled Layer 
**************************************************************
]]--

TiledLayer = Core.class(Sprite)
local offset = 100

local function loadTileSets(layers, tileSet, width, height) 
	for y = 1,height do
		for x = 1,width do			
			local gid = tileSet[y][x]
			--print("x = " .. x, ",y = " .. y, ", gid = " .. tostring(gid ~= nil))
			if gid ~= 0 then
				local tx = gid % 10
				local ty = math.floor(gid /10) + 1	
				if tx == 0 then
					tx = 10
					ty = math.floor(gid /10)
				end							
				--print("x = " .. x, "y = " .. y, "tx = " .. tx, "ty = " .. ty, "gid = " .. gid)
				for i = 1,#layers do
					layers[i]:setTile(x, y, tx, ty)
				end
			end
		end
	end
end 


function TiledLayer:init(name, width, height, texture, tilewidth, tileheight, tileSet)
	self.layers = {}
	self.id = name
	local layer1 = TileMap.new(width, height, texture, tilewidth, tileheight)
	local layer2 = TileMap.new(width, height, texture, tilewidth, tileheight)

	self.layers = {layer1, layer2}	
	self.currLayer = layer1
	
	loadTileSets(self.layers, tileSet, width, height)	
	
	layer1:setPosition(0, -layer1:getHeight() + screenH)
	layer2:setPosition(0, screenH)
	
	--table.foreach(layers, self.addChild)
	self:addChild(layer1)
	self:addChild(layer2)
	--print( self.id .. " length = " .. self.layers[1]:getHeight())
	--self
end
