--[[
*************************************************************
Tiled Layer 2
**************************************************************
]]--

TiledLayer2 = Core.class(Sprite)
local offset = 100


local function loadTileMap(name, layer, texturePack, tileMap, width, height, physics) 
	local blank_tile = Texture.new("blank_tile.png")
	for y = 0,height -  1 do
		for x = 0,width - 1 do			
			local gid = tileMap[tonumber(y+1)][tonumber(x+1)]														
			
				local tile = {}
				if gid == 0 then
					tile = Bitmap.new(blank_tile)
				else 
					tile = Bitmap.new(texturePack:getTextureRegion("t" .. gid))	
					local conf = {type="kinematic", width=10, height=10}	
					if physics then
						if physics.isSensor then
							conf.isSensor = physics.isSensor
						end
						if physics.type then
							conf.type = physics.type
						end
						physics.parent:createRectangle(tile, conf)
						tile.body.type = "tile"
						--tile.body.id = name .. "-t" .. gid
					end 	
				end	
				tile:setAnchorPoint(0.5,0.5)
				tile:setPosition((x+0.5) * tile:getWidth(), (y+0.5) * tile:getHeight())
				layer:addChild(tile)	
		end
	end
end 

function TiledLayer2:init(name, width, height, texturePack, tilewidth, tileheight, tileMap, physics )
	self.layer = {}
	self.id = name
	--local layer1 = Sprite.new() 
	local layer = Sprite.new() 

	self.layer = layer	
	--self.currLayer = layer1
		
	loadTileMap(name, self.layer, texturePack, tileMap, width, height, physics)		
	
	layer:setPosition(0, -layer:getHeight() + screenH)
	
	self:addChild(layer)
end