require "box2d"

world = b2.World.new(0, 0, true)
application:setBackgroundColor(0x000000)
screenH = application:getContentHeight()
screenW = application:getContentWidth()

--lock orientation that you need
stage:setOrientation(Stage.PORTRAIT)

local map = require("map")
local roadTexture = Texture.new("road.png")
local tileTexturePack = TexturePack.new("tiles.txt", "tiles.png")	
road = TiledLayer.new("road", 1,8,roadTexture, 480, 256,{{1},{1},{1},{1},{1},{1},{1},{1}})
overlay = TiledLayer2.new("overlay", #map["overlay"][1], #map["overlay"], tileTexturePack, 32, 32, map["overlay"])
collision = TiledLayer2.new("collision", #map["collision"][1], #map["collision"], tileTexturePack, 32, 32, map["collision"],  { parent=world })
interactive = TiledLayer2.new("interactive", #map["interactive"][1], #map["interactive"], tileTexturePack, 32, 32, map["interactive"], {parent=world, isSensor = true})
overhead = TiledLayer2.new("overhead",#map["overhead"][1], #map["overhead"], tileTexturePack, 32, 32, map["overhead"])	   		

local onEnterFrame = function()
	world:update()	
	stage:setY(stage:getY() + 5)
end 

stage:addChild(road)
stage:addChild(overlay)
stage:addChild(collision)
stage:addChild(interactive)
stage:addChild(overhead)
stage:addChild(world:getDebug())    
stage.layers = {road, overlay, collision, interactive, overhead}
stage:addEventListener(Event.ENTER_FRAME,onEnterFrame)
